GNU bug report logs - #45824
27.1; term/screen.el not loaded when TERM=screen.xterm-256color

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Hutcheson <alexhutcheson@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 45824 <at> debbugs.gnu.org and Alex Hutcheson <alexhutcheson@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 20 Jan 2021 16:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 11:26:33 2021
Received: from localhost ([127.0.0.1]:56015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2GJV-0003Dk-LZ
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 11:26:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l2GJU-0003DY-GG
 for 45824 <at> debbugs.gnu.org; Wed, 20 Jan 2021 11:26:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=GxOGG+hMAKofySkDRR4Gz6T6CDunjMmIBCvWOEAghl4=; b=l+8/OSAtGcP++GXw3cjeR0GpSu
 H7Xh6GUYdqiS/DDG3Q6DoyNpDJ4EcpuluuEM4EI/+6YI1eXl1Us0MUhbTBzNR1PUSqRXs457CW3ei
 Z1AsDdfststNCpuSgN3YJgv0oJZlxGyf15jeFKyNc6LIyPYN4rCdQQt1N+2ClFd/Jaz8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l2GJI-0001Iz-Ml; Wed, 20 Jan 2021 17:26:26 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45824: 27.1; term/screen.el not loaded when
 TERM=screen.xterm-256color
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 <87a6t4j4yc.fsf@HIDDEN> <83y2go7peo.fsf@HIDDEN>
 <CACjgaUcJ=XrUvP-hjKWKwHBSmUEEj9kb=99J=dDEjgtV=u0-cg@HIDDEN>
 <83sg6w7mz4.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUiKDkGAwYeGiRc
 SCdcJAujWw7tvkD///9yuJSCAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UBFBAQLuJ0dQcAAAGQSURB
 VDjLbZPbkYMwDEWFK0Aa9t/WsgXskAaSECrAqWBx/yWsJJtHwMzEGXzQvdbD0GDrkBnw9MAvogv7
 O911CQYIDp/3CrqHgRZgDxnvtuYI4j1iXFdokJDcybkLKPL0YbKdSn/g6sAfzA+AAokPX0Eb0PPV
 RYBp+Qpg74hX+1fO0ICeiVb7GB/Yjw8axZx1cy3vO874iiOP+u7UpWhNi4AURwOt7K/HnZKCZTap
 Y3mn9CdAQkDbcch8Sgv+pJRmMGPYEuyeN+zeEpI3PJzKRXZKz/5aRSjfhxqQ6WmrIOB1rKy14J1v
 qgDcXt04DDcuUo3fut5LCvLcv9+WYKmwBL9sP8190lqJ0pp3DkhLLxFeC1IS73RX4biBfN4vBVG1
 3tpzFhc0tR8zUFiKKC0n+38O0nTRWlJJWcP2h4dhsEYFmbpwybwFSbtWK5nc2lTLp97xZaRLPy6d
 letpcxX2a9Dl2e1za4NNYwbRAOokknjwh9QzS1E4G5dGHcv7mSCAaB0uLt1WoO5ciQiqdh6TfxW5
 dCpjs1zAAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTIwVDE2OjE2OjQ1KzAwOjAwP2Ki3AAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0yMFQxNjoxNjo0NSswMDowME4/GmAAAAAASUVORK5C
 YII=
X-Now-Playing: Joe Jackson's _Live 1980-86 (2)_: "Memphis"
Date: Wed, 20 Jan 2021 17:26:19 +0100
In-Reply-To: <83sg6w7mz4.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Jan
 2021 21:20:15 +0200")
Message-ID: <87czxzr2vo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I just don't see where
 that would end, that's all. Any > terminal emulator can call itself anything, 
 and Emacs cannot possibly > know all the future names. > > But that's me;
 if Lars thinks we shoul [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org, Alex Hutcheson <alexhutcheson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I just don't see where that would end, that's all.  Any
> terminal emulator can call itself anything, and Emacs cannot possibly
> know all the future names.
>
> But that's me; if Lars thinks we should have built-in support for this
> use case, I won't argue.  I was just responding to his request for
> other opinions.

Even though it's a slippery slope adding more DWIM here, I think the
proposed tweak makes sense.  It seems unlikely to break anything, and it
makes the common Emacs-under-screen case work better automatically.

So I think we should give it a go, but if it regresses anything, it
should be backed out again.  Pushed now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 19:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 14:20:35 2021
Received: from localhost ([127.0.0.1]:51828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1wYN-0002hd-8K
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 14:20:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l1wYJ-0002hP-4R
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 14:20:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59472)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l1wYD-0007as-LZ; Tue, 19 Jan 2021 14:20:25 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2577
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l1wY7-0007yP-Du; Tue, 19 Jan 2021 14:20:25 -0500
Date: Tue, 19 Jan 2021 21:20:15 +0200
Message-Id: <83sg6w7mz4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alex Hutcheson <alexhutcheson@HIDDEN>
In-Reply-To: <CACjgaUcJ=XrUvP-hjKWKwHBSmUEEj9kb=99J=dDEjgtV=u0-cg@HIDDEN>
 (message from Alex Hutcheson on Tue, 19 Jan 2021 13:33:09 -0500)
Subject: Re: bug#45824: 27.1;
 term/screen.el not loaded when TERM=screen.xterm-256color
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 <87a6t4j4yc.fsf@HIDDEN> <83y2go7peo.fsf@HIDDEN>
 <CACjgaUcJ=XrUvP-hjKWKwHBSmUEEj9kb=99J=dDEjgtV=u0-cg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45824
Cc: larsi@HIDDEN, 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alex Hutcheson <alexhutcheson@HIDDEN>
> Date: Tue, 19 Jan 2021 13:33:09 -0500
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45824 <at> debbugs.gnu.org
> 
> A defcustom won't really work, since the correct value of TERM to use
> might be different for different frames. For example, I might
> sometimes launch Emacs directly within an xterm, and other times
> launch it within a screen session.

A defcustom can be set (by your code) depending on the value of TERM,
of course, so this problem is easily solvable.  IOW, my proposal is to
delegate the responsibility for "parsing" the TERM value to the user
initializations, instead of asking Emacs to understand all the
possible quirks there.

> Also, we already have the term-file-aliases variable, which enables a
> workaround as mentioned up the thread.

Then perhaps nothing at all needs to be done.  (I thought that the
existing aliases were somehow inconvenient in this case.)

> However, I still think we should aim to work correctly with GNU Screen
> without any additional configuration required by the user. The current
> state is broken in that regard.

I just don't see where that would end, that's all.  Any
terminal emulator can call itself anything, and Emacs cannot possibly
know all the future names.

But that's me; if Lars thinks we should have built-in support for this
use case, I won't argue.  I was just responding to his request for
other opinions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 18:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 13:33:29 2021
Received: from localhost ([127.0.0.1]:51710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1von-0007lx-8v
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 13:33:29 -0500
Received: from mail-ej1-f51.google.com ([209.85.218.51]:45153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexhutcheson@HIDDEN>) id 1l1vol-0007lh-Hy
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 13:33:28 -0500
Received: by mail-ej1-f51.google.com with SMTP id ke15so22248113ejc.12
 for <45824 <at> debbugs.gnu.org>; Tue, 19 Jan 2021 10:33:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ieMtrQ8ikcsdhTxFMEFHp4blqJdSllo/cbPEhXI71UE=;
 b=GJ1lIvn8iU/NODZyIQwAk2IrzIUKrpn9aAY9irTREN/mL06T4dle9SiFAfLsk5k05s
 9POy3bnaYa2CHlMpnFoD7Y7ZZfhATismtpbj/Bl97KTrRyDddIvj6BE6iNGLhMIrPaga
 8FKWuPJmwrjv5vL0r5ei/mHzuIRfaKpkvQy4T2GULoCVua9kMNxzXW46XoOkXIHBUT50
 wizeWuWddR8gcPqXj8fGulcbRfY/rJVamHsw3woRlPopDXqJhd0/8jGG1mDlZhX97Euh
 javhWCwWtUbehzmefqgdyZ1+wcuq2yacdC+PzevK1gVK2iNzPhhdZUUlGM89Lpt2AOlj
 0XmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ieMtrQ8ikcsdhTxFMEFHp4blqJdSllo/cbPEhXI71UE=;
 b=JlxyiU6suVT+atjtPwORKbEkK0IoiJDOhgQFyO22MWUfsgwmIVfZPlXfgHM3LoAsv0
 gWz78aDRGnXirbABGZOwQpVmeQyz8c8ErpaXj/7RxM9DsnSntcRl5CsSIZqNZmqZmRGT
 gJzV2syEScT8RJl2qfGsIfQOa0VRU6INT0yqHdyjtDk5xmNr4Kb8AtGT4xzoLHRKPuUE
 qjv4u8K0DCmi9DgXV7WiLgxFA6aRZVtx69IakDhWbx3zAuFjkBabqG/WLLc4b62gzhVK
 lmV42mMOTA7aW9wK32C5TJ+vQOcLNPkmAeWUKzO87JbLyg7qKNQAivMjQl3VnUwdq2ds
 +KmA==
X-Gm-Message-State: AOAM531ltPrkj4vt6XxHfpbf93xmM2GfiKmDLDzBLTRmXt+WFg3c69+G
 x/uB5dO3xV8oczSVY5rDZ0N/cOSLwe5XgqpEJSyriw==
X-Google-Smtp-Source: ABdhPJwW9gS4F8jO890tuRZtcQbx2g1HTglVC9E9yaPhxXiL0YYo/1rQ46lf1tZLejx6yGI5n8NG90qmeCls37S6tUw=
X-Received: by 2002:a17:906:ae51:: with SMTP id
 lf17mr3902556ejb.330.1611081201323; 
 Tue, 19 Jan 2021 10:33:21 -0800 (PST)
MIME-Version: 1.0
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 <87a6t4j4yc.fsf@HIDDEN> <83y2go7peo.fsf@HIDDEN>
In-Reply-To: <83y2go7peo.fsf@HIDDEN>
From: Alex Hutcheson <alexhutcheson@HIDDEN>
Date: Tue, 19 Jan 2021 13:33:09 -0500
Message-ID: <CACjgaUcJ=XrUvP-hjKWKwHBSmUEEj9kb=99J=dDEjgtV=u0-cg@HIDDEN>
Subject: Re: bug#45824: 27.1;
 term/screen.el not loaded when TERM=screen.xterm-256color
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b601c705b945122e"
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 45824
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -9.0 (---------)

--000000000000b601c705b945122e
Content-Type: text/plain; charset="UTF-8"

A defcustom won't really work, since the correct value of TERM to use
might be different for different frames. For example, I might
sometimes launch Emacs directly within an xterm, and other times
launch it within a screen session.

Also, we already have the term-file-aliases variable, which enables a
workaround as mentioned up the thread.

However, I still think we should aim to work correctly with GNU Screen
without any additional configuration required by the user. The current
state is broken in that regard.

If we'd rather minimize complexity and just add a handful of aliases
to term-file-aliases, that's probably fine too.

On Tue, Jan 19, 2021 at 1:27 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Lars Ingebrigtsen <larsi@HIDDEN>
> > Date: Tue, 19 Jan 2021 16:56:27 +0100
> > Cc: 45824 <at> debbugs.gnu.org
> >
> > Hm...  but wouldn't that possibly cause problems?  That is, if your TERM
> > is
> >
> > linux2.6.26
> >
> > then if we split on dots, then Emacs will first look for
> > "text/linux2.6.26.el", and then "term/linux2.6.el"...  and those are
> > indeed different terminfos as found on my system:
> >
> > linux2.6
> > linux2.6.26
> >
> > > The command I used to list all the relevant terminfo files was:
> > > find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
> > > basename '{}' ';' | sort -u
> >
> > Now, there is no term/linux2.6.el, so perhaps this is irrelevant...  And
> > perhaps if there was a term/linux2.6.el, perhaps loading that would be
> > OK in this case?  Anybody got an opinion here?
>
> Maybe we should just introduce a way for users to specify the terminal
> type that would override the value of TERM in the environment?  Some
> defcustom that could be set in the init file?  That way, we don't need
> to worry about inventing a new rule, with all the unintended
> consequences that could bring us.
>


-- 
Alex Hutcheson
alexhutcheson@HIDDEN

--000000000000b601c705b945122e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">A defcustom won&#39;t really work, since the correct value=
 of TERM to use<br>might be different for different frames. For example, I =
might<br>sometimes launch Emacs directly within an xterm, and other times<b=
r>launch it within a screen session.<br><br>Also, we already have the term-=
file-aliases variable, which enables a<br>workaround as mentioned up the th=
read.<br><br>However, I still think we should aim to work correctly with GN=
U Screen<br>without any additional configuration required by the user. The =
current<br>state is broken in that regard.<br><br>If we&#39;d rather minimi=
ze complexity and just add a handful of aliases<br>to term-file-aliases, th=
at&#39;s probably fine too.<br></div><br><div class=3D"gmail_quote"><div di=
r=3D"ltr" class=3D"gmail_attr">On Tue, Jan 19, 2021 at 1:27 PM Eli Zaretski=
i &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">&gt; From: Lars Ingebrigt=
sen &lt;<a href=3D"mailto:larsi@HIDDEN" target=3D"_blank">larsi@HIDDEN<=
/a>&gt;<br>
&gt; Date: Tue, 19 Jan 2021 16:56:27 +0100<br>
&gt; Cc: <a href=3D"mailto:45824 <at> debbugs.gnu.org" target=3D"_blank">45824@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; Hm...=C2=A0 but wouldn&#39;t that possibly cause problems?=C2=A0 That =
is, if your TERM<br>
&gt; is <br>
&gt; <br>
&gt; linux2.6.26<br>
&gt; <br>
&gt; then if we split on dots, then Emacs will first look for<br>
&gt; &quot;text/linux2.6.26.el&quot;, and then &quot;term/linux2.6.el&quot;=
...=C2=A0 and those are<br>
&gt; indeed different terminfos as found on my system:<br>
&gt; <br>
&gt; linux2.6<br>
&gt; linux2.6.26<br>
&gt; <br>
&gt; &gt; The command I used to list all the relevant terminfo files was:<b=
r>
&gt; &gt; find /lib/terminfo /usr/share/terminfo -name &#39;*.*&#39; -type =
f -exec<br>
&gt; &gt; basename &#39;{}&#39; &#39;;&#39; | sort -u<br>
&gt; <br>
&gt; Now, there is no term/linux2.6.el, so perhaps this is irrelevant...=C2=
=A0 And<br>
&gt; perhaps if there was a term/linux2.6.el, perhaps loading that would be=
<br>
&gt; OK in this case?=C2=A0 Anybody got an opinion here?<br>
<br>
Maybe we should just introduce a way for users to specify the terminal<br>
type that would override the value of TERM in the environment?=C2=A0 Some<b=
r>
defcustom that could be set in the init file?=C2=A0 That way, we don&#39;t =
need<br>
to worry about inventing a new rule, with all the unintended<br>
consequences that could bring us.<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr">Alex Hutcheson<div><a href=3D"m=
ailto:alexhutcheson@HIDDEN" target=3D"_blank">alexhutcheson@HIDDEN<=
/a></div></div></div>

--000000000000b601c705b945122e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 18:27:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 13:27:44 2021
Received: from localhost ([127.0.0.1]:51693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1vjE-0005VK-3F
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 13:27:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l1vjC-0005V2-6V
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 13:27:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57958)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l1vj6-0000MZ-9h; Tue, 19 Jan 2021 13:27:36 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3353
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l1vj4-0007k0-RJ; Tue, 19 Jan 2021 13:27:35 -0500
Date: Tue, 19 Jan 2021 20:27:43 +0200
Message-Id: <83y2go7peo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87a6t4j4yc.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 19 Jan 2021 16:56:27 +0100)
Subject: Re: bug#45824: 27.1;
 term/screen.el not loaded when TERM=screen.xterm-256color
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 <87a6t4j4yc.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org, alexhutcheson@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 19 Jan 2021 16:56:27 +0100
> Cc: 45824 <at> debbugs.gnu.org
> 
> Hm...  but wouldn't that possibly cause problems?  That is, if your TERM
> is 
> 
> linux2.6.26
> 
> then if we split on dots, then Emacs will first look for
> "text/linux2.6.26.el", and then "term/linux2.6.el"...  and those are
> indeed different terminfos as found on my system:
> 
> linux2.6
> linux2.6.26
> 
> > The command I used to list all the relevant terminfo files was:
> > find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
> > basename '{}' ';' | sort -u
> 
> Now, there is no term/linux2.6.el, so perhaps this is irrelevant...  And
> perhaps if there was a term/linux2.6.el, perhaps loading that would be
> OK in this case?  Anybody got an opinion here?

Maybe we should just introduce a way for users to specify the terminal
type that would override the value of TERM in the environment?  Some
defcustom that could be set in the init file?  That way, we don't need
to worry about inventing a new rule, with all the unintended
consequences that could bring us.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 16:52:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 11:52:33 2021
Received: from localhost ([127.0.0.1]:51432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1uF7-0000ee-0B
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 11:52:33 -0500
Received: from mail-ej1-f51.google.com ([209.85.218.51]:42518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexhutcheson@HIDDEN>) id 1l1uF4-0000eR-P3
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 11:52:31 -0500
Received: by mail-ej1-f51.google.com with SMTP id r12so18108981ejb.9
 for <45824 <at> debbugs.gnu.org>; Tue, 19 Jan 2021 08:52:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=dyTq6g2tCEl0mAnz12myRoBvQ3m3LfVGbVf0RcjMAqU=;
 b=JOmnrRAwEpBMXmgHoMUYN3K56JGWlt6oRsr6nhLW0/cVcf3ki2JIUTd+zMKy/hQfHK
 txtG1GKADGYvm4yQX4qLZhbUK/7YaYvFqixVLvUJRro3beoL8c0hPEjYReLteW8rGUrI
 tIhYGGsKuKWvKLUVhmF/zcnBTcFt0ADarTuULFm/9y/lAv7GT6DHbGYgCbVRzyFEBj4e
 P+M9OK8OF7Akn2w6dacekc1+VIrXIrvjjRO72OoBAWQgSfNv5wHecvzosTkJxBjUoSxb
 8ViZnPDiDNoi0AzRXhLwZikAqq7keUTO+VkTFt9v4D0iyFMODcCB3CtYLUN7nKoaqhh2
 ik2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dyTq6g2tCEl0mAnz12myRoBvQ3m3LfVGbVf0RcjMAqU=;
 b=BO0GyRzD0VG7g7a8Tba5VUu4f6vhGLVWUx4vFgiC3i6iKTSIPF3xeJsCF1oU2AgB9w
 aSZcD5cWv8do8AdadpL5PdwYAXaRbiYQeVfq5TEqEL9x1JJjf3Rn4h0KsCbW1cU7REdb
 En+uv1LZF36Wkaj7f6gmX1NO3iV6yq86+GJm5eT/fLddr8RVBoBAnmJ93RHmWjmdL+eB
 tIHt6/HWrDcK8EHn6RiANwaV01D7mprnO30J688ejvNYMBVkVkz69t56m4CIl12ZMUSB
 4Unsm1l76QXBWl7R2S30cnUkM684Wr4HDNdi4NDrqeufsftzWe8/ZlsdXko7PDbgMx6N
 DhiQ==
X-Gm-Message-State: AOAM530d2o7VQ/jdT20kweei65UI0ES1wgg5Ds5TCcN/YvnpO7U46tbc
 9ROSS5McoOFGlfDqMmLKUcu7vbsOhiAEGNhM3MAYAQ==
X-Google-Smtp-Source: ABdhPJzNIaASbnwrW/eg+1/6x/aYhAqhT69i+MDjrEe2LoHeACqQatX9dSIQgwwucbm3li5D4pjNpSA75KF+aBGVCgM=
X-Received: by 2002:a17:907:961c:: with SMTP id
 gb28mr3431955ejc.393.1611075144390; 
 Tue, 19 Jan 2021 08:52:24 -0800 (PST)
MIME-Version: 1.0
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 <87a6t4j4yc.fsf@HIDDEN>
In-Reply-To: <87a6t4j4yc.fsf@HIDDEN>
From: Alex Hutcheson <alexhutcheson@HIDDEN>
Date: Tue, 19 Jan 2021 11:52:13 -0500
Message-ID: <CACjgaUdU6pQXt9PdEEFPmzO=0GKZ9qJXE-5hV_fZLNZS2dg6eg@HIDDEN>
Subject: Re: bug#45824: 27.1;
 term/screen.el not loaded when TERM=screen.xterm-256color
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b09b0405b943a934"
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -9.0 (---------)

--000000000000b09b0405b943a934
Content-Type: text/plain; charset="UTF-8"

That behavior seems fine to me. In your example, Emacs would check
for the following, in-order:

   1. linux2.6.26.el
   2. linux2.6.el
   3. linux2.el

This seems like the right approach - try to match minor versions, but
if there is not a config for a specific minor version, then use the
config that matches the major version.

In this specific instance, it wouldn't actually find anything, because
there is no term/linux2.el file (just a term/linux.el file). This
could be resolved by also splitting between non-numeric characters and
numbers (so we would try linux.el as a step #4), but that's not
necessary to solve my specific problem.



On Tue, Jan 19, 2021 at 10:56 AM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Alex Hutcheson <alexhutcheson@HIDDEN> writes:
>
> > I just checked on two of my machines (running different distributions)
> > and didn't see anything that looked like it would cause problems. Most
> > were of the form "screen.something", and a couple terminfo files
> > included dots within version specifiers (e.g. st-0.8 and st-0.7).
>
> Hm...  but wouldn't that possibly cause problems?  That is, if your TERM
> is
>
> linux2.6.26
>
> then if we split on dots, then Emacs will first look for
> "text/linux2.6.26.el", and then "term/linux2.6.el"...  and those are
> indeed different terminfos as found on my system:
>
> linux2.6
> linux2.6.26
>
> > The command I used to list all the relevant terminfo files was:
> > find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
> > basename '{}' ';' | sort -u
>
> Now, there is no term/linux2.6.el, so perhaps this is irrelevant...  And
> perhaps if there was a term/linux2.6.el, perhaps loading that would be
> OK in this case?  Anybody got an opinion here?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>


-- 
Alex Hutcheson
alexhutcheson@HIDDEN

--000000000000b09b0405b943a934
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">That behavior seems fine to me. In your example, Emacs wou=
ld check=C2=A0<div>for the following, in-order:<div><ol><li>linux2.6.26.el<=
/li><li>linux2.6.el</li><li>linux2.el</li></ol><div>This seems like the rig=
ht approach - try to match minor versions, but<br>if there is not a config =
for a specific minor version, then use the<br>config that matches the major=
 version.<br><br>In this specific instance, it wouldn&#39;t actually find a=
nything, because<br>there is no term/linux2.el file (just a term/linux.el f=
ile). This<br>could be resolved by also splitting between non-numeric chara=
cters and<br>numbers (so we would try linux.el as a step #4), but that&#39;=
s not<br>necessary to solve my specific problem.<br></div></div><div><br></=
div><div><br></div></div></div><br><div class=3D"gmail_quote"><div dir=3D"l=
tr" class=3D"gmail_attr">On Tue, Jan 19, 2021 at 10:56 AM Lars Ingebrigtsen=
 &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bord=
er-left:1px solid rgb(204,204,204);padding-left:1ex">Alex Hutcheson &lt;<a =
href=3D"mailto:alexhutcheson@HIDDEN" target=3D"_blank">alexhutcheson@go=
ogle.com</a>&gt; writes:<br>
<br>
&gt; I just checked on two of my machines (running different distributions)=
<br>
&gt; and didn&#39;t see anything that looked like it would cause problems. =
Most<br>
&gt; were of the form &quot;screen.something&quot;, and a couple terminfo f=
iles<br>
&gt; included dots within version specifiers (e.g. st-0.8 and st-0.7).<br>
<br>
Hm...=C2=A0 but wouldn&#39;t that possibly cause problems?=C2=A0 That is, i=
f your TERM<br>
is <br>
<br>
linux2.6.26<br>
<br>
then if we split on dots, then Emacs will first look for<br>
&quot;text/linux2.6.26.el&quot;, and then &quot;term/linux2.6.el&quot;...=
=C2=A0 and those are<br>
indeed different terminfos as found on my system:<br>
<br>
linux2.6<br>
linux2.6.26<br>
<br>
&gt; The command I used to list all the relevant terminfo files was:<br>
&gt; find /lib/terminfo /usr/share/terminfo -name &#39;*.*&#39; -type f -ex=
ec<br>
&gt; basename &#39;{}&#39; &#39;;&#39; | sort -u<br>
<br>
Now, there is no term/linux2.6.el, so perhaps this is irrelevant...=C2=A0 A=
nd<br>
perhaps if there was a term/linux2.6.el, perhaps loading that would be<br>
OK in this case?=C2=A0 Anybody got an opinion here?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr">Alex Hutcheson<div><a href=3D"m=
ailto:alexhutcheson@HIDDEN" target=3D"_blank">alexhutcheson@HIDDEN<=
/a></div></div></div>

--000000000000b09b0405b943a934--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 15:56:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 10:56:39 2021
Received: from localhost ([127.0.0.1]:51368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1tN1-0005FD-7O
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:56:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:32882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1tMz-0005Es-F0
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:56:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=M2PbOPDVOT+ATAnCH6sM1l/u1ZV5MAgO05aINobjqho=; b=EIa9Fi4E5U5EzMsFRdbaLizAH+
 i8wG2AMiRQcC/5M6AoOygmUR5nAYQvUbLULDdxBMIAmjw3wxyeAhW6DMYcNj4zKPJGaPb9GnNye1/
 ZOFdR8e1FvoSKDsX3Hif5RDE/FE9NQ7YZNlgynvtWtIrw2Di3EFkqC1wgy/WPY6p0cBs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1tMq-0001po-Di; Tue, 19 Jan 2021 16:56:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Hutcheson <alexhutcheson@HIDDEN>
Subject: Re: bug#45824: 27.1; term/screen.el not loaded when
 TERM=screen.xterm-256color
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
 <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVIPjA4MCiAd3D/
 ///D3Px/AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UBEw8SMKDg9hIAAAFaSURBVCjPPVJNquYwDHMg
 3qcQ32GOYUO9dyC61zvCLId3ypG/+TGUosaRJbmyj+zhI2RA+NQORF5psKVQlZaqorAwnDQRlQSm
 KvK1zU5cWc9ZERqiuaK0VmKomBV5Pd6mRpSMcA1NUodWpOjALFG1o0O3wUpeyzMJalsKCtgz1+WL
 c4C1X7vn5VBNqDulzS1bNZ5Qczxgm6ryy7gUipu6v/KNopz0PbGAzHjFdl08iSSLGO6lTVJPaT+X
 3gw1e2h5rgys1+TUcFf4GrRwotOgscy+cwrGvEYRnPDSubpfjkrIxVrmjG5rRgPolkFXjrmy1D/m
 Ar7JJ5SDIDDMD9g8uwaOER+dCUFISes+UPAOhd7u6mxZYLLnNldTf//8/uVS3iB/fBq4C1LwRl2p
 qoX67MdhQvLeabMwTKZMammB3MV9SG09kuVCDYY/Fc5/51/p3/au/pP+H5Ts3xYhccLVdOv3AAAA
 JXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTE5VDE1OjE4OjQ3KzAwOjAwhR+60gAAACV0RVh0ZGF0
 ZTptb2RpZnkAMjAyMS0wMS0xOVQxNToxODo0NyswMDowMPRCAm4AAAAASUVORK5CYII=
X-Now-Playing: Fennesz's _Agora_: "Agora"
Date: Tue, 19 Jan 2021 16:56:27 +0100
In-Reply-To: <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
 (Alex Hutcheson's message of "Tue, 19 Jan 2021 10:34:32 -0500")
Message-ID: <87a6t4j4yc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alex Hutcheson <alexhutcheson@HIDDEN> writes: > I just
 checked on two of my machines (running different distributions) > and didn't
 see anything that looked like it would cause problems. Most > were of the
 form "screen.something", and a couple te [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alex Hutcheson <alexhutcheson@HIDDEN> writes:

> I just checked on two of my machines (running different distributions)
> and didn't see anything that looked like it would cause problems. Most
> were of the form "screen.something", and a couple terminfo files
> included dots within version specifiers (e.g. st-0.8 and st-0.7).

Hm...  but wouldn't that possibly cause problems?  That is, if your TERM
is 

linux2.6.26

then if we split on dots, then Emacs will first look for
"text/linux2.6.26.el", and then "term/linux2.6.el"...  and those are
indeed different terminfos as found on my system:

linux2.6
linux2.6.26

> The command I used to list all the relevant terminfo files was:
> find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
> basename '{}' ';' | sort -u

Now, there is no term/linux2.6.el, so perhaps this is irrelevant...  And
perhaps if there was a term/linux2.6.el, perhaps loading that would be
OK in this case?  Anybody got an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 15:34:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 10:34:51 2021
Received: from localhost ([127.0.0.1]:51312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1t1v-0004Q0-HF
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:34:51 -0500
Received: from mail-ed1-f50.google.com ([209.85.208.50]:33065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexhutcheson@HIDDEN>) id 1l1t1u-0004Pj-1S
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 10:34:50 -0500
Received: by mail-ed1-f50.google.com with SMTP id c6so14899161ede.0
 for <45824 <at> debbugs.gnu.org>; Tue, 19 Jan 2021 07:34:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fCyFuXzQjtu5hm2Bn49HM1YwoFHB8H7U3wa04YNWNE0=;
 b=LtCPFDQ+PpLsgA22rKG0WEP+FFSyhVWpE5jW0HosIViDwVXchhjVDPFEbMoHYrt2Ns
 +UEQsQmXvB9u2wkAWK+RlzR2RTOw64km0dDFKiL3a0bAJE+5kxUqw7Iuaf3XiLB3hhM/
 mS665gDHdkkvSOEUqlPk6sjkvq5PYALb2qVLmRGrijU9DpVlYXnfeKeCeLQNFfJbu5+A
 9fU52aP4hxzUfZGu3wfG4+HeiQ6aFtOHevKkjsa+hvsXUn4jr9v/JXtgXW8G1wG8Lp2W
 EdmGU55kR5C5bfzkfYvmMxvUD9TQMuTCWyQVjluY5QmTYX4GJ4qWhRvzSOU3tna4jzx6
 GESw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fCyFuXzQjtu5hm2Bn49HM1YwoFHB8H7U3wa04YNWNE0=;
 b=T2sdGL8L03SMY/Vui1atwONEfAjubuP9s3NhqIFvWSFvmcRb5z8ZvwTGgffzBYH1PG
 oHrUNXmU2wWpDvwBqd6uBm8+rzAz1Mi1S6NTxD6HixV4A/S4nDG7CkEHLiOCKEiBlcRu
 h5t6ftXeYYn5tuK9LCMSDj9e+pp//y1DC0n+gkuy41rD8pypSSAPXnR9KgEBQdcOo+N8
 o+rlEizG4FWzG29YwKh3uM+F8485n7Rpkr0o3aHLnVNXXW+/2Yqx4ReH3H82hQy4VfSw
 QYEOE7F+DowZkyb9KS6watgTj4ypA16SSpwGuWOCHERttnUWANQMcOPrjWnVUFIVjPox
 zRFQ==
X-Gm-Message-State: AOAM5301+HZBmAVhK60Sa5PDXUg1KlSaX5cXoO9w5fe8ui9b9j5ZGm02
 rxzdi0hf4BS58EOEMFwC1lKkEXmjGXeEzlwt0VHjHA==
X-Google-Smtp-Source: ABdhPJwwNOYrAR7DzA4zPpioxVE+nzgRwqoS0qbxDUqZ8/ob2l29VXKiPMv0x7GIy2Ua0y1ILax1twUiDp9Prj+yeDY=
X-Received: by 2002:a05:6402:1c8b:: with SMTP id
 cy11mr3981776edb.256.1611070483564; 
 Tue, 19 Jan 2021 07:34:43 -0800 (PST)
MIME-Version: 1.0
References: <u49xpn2a7za1.fsf@HIDDEN> <877do9mnc0.fsf@HIDDEN>
In-Reply-To: <877do9mnc0.fsf@HIDDEN>
From: Alex Hutcheson <alexhutcheson@HIDDEN>
Date: Tue, 19 Jan 2021 10:34:32 -0500
Message-ID: <CACjgaUdmr65a6eFAbzuTWw6mzndEq03=viSMgbmovMWP5RoR9A@HIDDEN>
Subject: Re: bug#45824: 27.1;
 term/screen.el not loaded when TERM=screen.xterm-256color
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -9.0 (---------)

I just checked on two of my machines (running different distributions)
and didn't see anything that looked like it would cause problems. Most
were of the form "screen.something", and a couple terminfo files
included dots within version specifiers (e.g. st-0.8 and st-0.7).

The command I used to list all the relevant terminfo files was:
find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
basename '{}' ';' | sort -u

This worked on two Debian systems (one testing, one Buster), as well
as a macOS system.


On Tue, Jan 19, 2021 at 1:51 AM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Alex Hutcheson <alexhutcheson@HIDDEN> writes:
>
> > In some common configurations, GNU Screen sets
> > TERM=screen.xterm-256color.
>
> [...]
>
> > The TERM parsing logic is documented at
> > https://www.gnu.org/software/emacs/manual/html_node/elisp/Terminal_002dSpecific.html
> > and the code is in `tty-find-type` within lisp/faces.el
> >
> > The simple fix would be to also consider periods to be a valid separator
> > within this logic.
>
> That does sound like a simple fix.  :-)  Are there any common TERM
> values that have dots in them, though?  It does seem unlikely, in which
> case this simple fix should probably work?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no



-- 
Alex Hutcheson
alexhutcheson@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 19 Jan 2021 06:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 01:51:24 2021
Received: from localhost ([127.0.0.1]:49228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1krM-0006VI-9W
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:51:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1krJ-0006V3-WE
 for 45824 <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:51:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kEEOVHz8AfrXDtFA/e0H+D6LT8GT3+gQT4fl9lioEXs=; b=S8ITxOvXh2CfP2UELci2+zNONv
 V2oVmRGuUo0vfzRCjJlvqZcJPIcoxQSGO4x3TzvZ2KLF4fjp2+RPIw3RPSKrvDj4FOvLBpbr6y1lI
 3lLoZciV1+tOu2JidPYPp8mjMColZ/z9+enTfyHvHmSYbVP+BLj4JXCehJ+bAj2ArZUA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1krB-0004cT-00; Tue, 19 Jan 2021 07:51:15 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Hutcheson <alexhutcheson@HIDDEN>
Subject: Re: bug#45824: 27.1; term/screen.el not loaded when
 TERM=screen.xterm-256color
References: <u49xpn2a7za1.fsf@HIDDEN>
X-Now-Playing: Bobbie Gentry's _The Girl From Chickasaw County (2): The
 Delta Sweete_: "Parchman Farm"
Date: Tue, 19 Jan 2021 07:51:11 +0100
In-Reply-To: <u49xpn2a7za1.fsf@HIDDEN> (Alex Hutcheson's message
 of "Tue, 12 Jan 2021 14:04:06 -0500")
Message-ID: <877do9mnc0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alex Hutcheson <alexhutcheson@HIDDEN> writes: > In some
 common configurations, GNU Screen sets > TERM=screen.xterm-256color. [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45824
Cc: 45824 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alex Hutcheson <alexhutcheson@HIDDEN> writes:

> In some common configurations, GNU Screen sets
> TERM=screen.xterm-256color.

[...]

> The TERM parsing logic is documented at
> https://www.gnu.org/software/emacs/manual/html_node/elisp/Terminal_002dSpecific.html
> and the code is in `tty-find-type` within lisp/faces.el
>
> The simple fix would be to also consider periods to be a valid separator
> within this logic.

That does sound like a simple fix.  :-)  Are there any common TERM
values that have dots in them, though?  It does seem unlikely, in which
case this simple fix should probably work?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at 45824 <at> debbugs.gnu.org:


Received: (at 45824) by debbugs.gnu.org; 12 Jan 2021 19:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:22:23 2021
Received: from localhost ([127.0.0.1]:33168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPFG-0004dN-PM
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:22:23 -0500
Received: from mail-ed1-f54.google.com ([209.85.208.54]:35598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexhutcheson@HIDDEN>) id 1kzPFF-0004d8-0C
 for 45824 <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:22:22 -0500
Received: by mail-ed1-f54.google.com with SMTP id u19so3631423edx.2
 for <45824 <at> debbugs.gnu.org>; Tue, 12 Jan 2021 11:22:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=F7eLa477VUGmNMY3WbeZ2UnX9gSFXM+Hv2Xrmb2sDOg=;
 b=tFz5z7TF4VuBI01KkJnvAkFt+RJGtFErPAzvBDrLrulv8uYojpig/A7KjIoZ5fil5h
 fiTCOrAXw+g5yy8UhdB+6d1nO72ifubF2r1SFfF1vpeIPzWDad/0ElEXwyDKBKkrFQ2n
 b/hIaLD+yNqNfyfiVCWRQIweBn1Yzf8A+OM3YLCz5ky6rlCXX1/EdhGR0Fdz+ndnTErL
 aHIvirSUGJjWuqgWSWBKd2aQMptAde5NVPrRRE+Jaa8+XCU3IrqDs213ZNSw42WsJp/T
 b5EyBGeheZMmOUSeIqt0JO8MDEvm9/PM1MTXw4VQhaDPxEXH3xQwfYl+hI4AK4G6qonz
 9FbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=F7eLa477VUGmNMY3WbeZ2UnX9gSFXM+Hv2Xrmb2sDOg=;
 b=pFDzCdMnzyEnN8O6i50ybxJQmmp8sruX7ngtxzjNClgFZBmpgp+kVEWatcUnvRlb39
 YXFVahkTZNxEqT3Elu8K3gLFGojb2kzDnEeWx+WrotrmuiWwnG0OQeRrq644aJAZmy+R
 CQxJVV4XrAGt1FGIX4N9jvL+Wxzxebw+kcMrvMi2HgegGggjrtx0JY9O2KmrdmdjiZJ5
 pukDaTaHMIAgA7GwY0k7nAzWHjc4BWtftwf5Wv9gfGyjjM7V1jzF/BmQYMR5OZ5TMrEZ
 ybcbIr5pBQ7ioE2+Qx07/e6zzo+EckD/GHOWaZPcX47mLDBVYROMVq/tNLR3n6zgBnAI
 RkIA==
X-Gm-Message-State: AOAM531R0M0VlK3BNJE0vDda58tJC8LU3dA4VU6g4zKhHpdIcLc50ayt
 l7xR4m4khh4K8Kvu/4+OkRnZddfybEKikT6l4S/lrJ1YUC6yzIEQ
X-Google-Smtp-Source: ABdhPJwErTAgSv7aI6PbNzmqypgMqwJS7zNa9PYihwFmBY+VoKG5ctMTY7utQ9kw98Dlt7sbJcoP5ewESAIP8ISOumk=
X-Received: by 2002:a50:d6dc:: with SMTP id l28mr525239edj.105.1610479334451; 
 Tue, 12 Jan 2021 11:22:14 -0800 (PST)
MIME-Version: 1.0
From: Alex Hutcheson <alexhutcheson@HIDDEN>
Date: Tue, 12 Jan 2021 14:22:03 -0500
Message-ID: <CACjgaUcZq61_MESVAQ47ozzS=Avgnux5JU7oiymY47ioWRB+jA@HIDDEN>
Subject: 
To: 45824 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 45824
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.0 (-------)

A workaround is to add the following to your Emacs configuration:
(add-to-list 'term-file-aliases '("screen.xterm-256color" . "screen-256color"))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 19:04:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:04:25 2021
Received: from localhost ([127.0.0.1]:33146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOxt-00049M-5Z
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:04:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:54346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2) (envelope-from
 <3q_L9Xw0KDY4s3wFzCBuzwA65y66y3w.u64tCy-y5C-w4suAy5C.69y@HIDDEN>)
 id 1kzOxr-00049F-3P
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:04:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33818)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from
 <3q_L9Xw0KDY4s3wFzCBuzwA65y66y3w.u64tCy-y5C-w4suAy5C.69y@HIDDEN>)
 id 1kzOxq-0004Z6-Gs
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:04:22 -0500
Received: from mail-vk1-xa4a.google.com ([2607:f8b0:4864:20::a4a]:34117)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from
 <3q_L9Xw0KDY4s3wFzCBuzwA65y66y3w.u64tCy-y5C-w4suAy5C.69y@HIDDEN>)
 id 1kzOxl-0008KY-Lv
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:04:22 -0500
Received: by mail-vk1-xa4a.google.com with SMTP id 84so1369417vkx.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 12 Jan 2021 11:04:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=sender:date:message-id:mime-version:subject:from:to;
 bh=Ip3lCRgVqK7j/vhuAWNh0cMG6uZOARYIcEfn+BoHgww=;
 b=Y4jQ19JFtuNUPomSqK7y/zRosO84t4HzGAZmryhRi0zVFKzqF9x9gtLg2Q6YCwHUFk
 WDhpsSWzTSsyyPQIHxMWNbQ+7g7hV6l/M28WYXkUlfm/Z0AUH1C7gWGzsBopmYtpmmE8
 KQWH9VCUSxwSOSMV1LlcOALdjNMlMnOxA0BKwqB5Rho37l6JiwBqBfGmknxXISignO/6
 ohUYIGWOnX0TNr9NlnXOetkx2jHXp5bdCxdIgw2tYCliIptAp1VDbZa/29TN1NkhNTLq
 7QfZCGlIT60hOVxuHA+eFDMdJAI0ZNXJMJvbhOx/5kBu4WHB3I0VIsSkH8dOysyfmQ+G
 clXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:message-id:mime-version:subject:from
 :to; bh=Ip3lCRgVqK7j/vhuAWNh0cMG6uZOARYIcEfn+BoHgww=;
 b=dSOBd0IEg1q+mURspBk4BDbt9R/Cj7VdAq3iM7BbHvfpL/m6qViyfaWd0GxWnbegzC
 SFdHDWsM1ip6ZPGQ7N9G3PSiBQavsYAvUP0hKVpZQFMahJT6xxSMruNuuVPqpGV0lcDi
 5mOGfaZLRvLLDkRRLJ4LTbe4Hwbe8c795bPzwX4Muhc8w0w/kovHMwEP+YutUaNRmqTd
 7cZRtLclraSu8Qk3WRTPLEjWf4lyIXZt0keU2yLGxp6QWBLvTgXZ03LIm7CaKjU7dxVA
 Weazmcm3JtCoHj0tw9tD8hfHWKq7je1tSPafKbir2p45tBVCuAMRIc3oD66ecmmfm+0G
 37hA==
X-Gm-Message-State: AOAM531djPEvGw0yCX2dWTcIezsRjuReCV+eg6IQ6cfSjoJJnzjDD5jm
 smnLqNjV9AeD05yDiKMrj5hxNP90vKBmWlDErTnP2K6GbjJyYXchxOXVsqBK0Tlcc83wNy2Z/Zl
 IIJcdkifl677cOzOQLN+dl9xk+urQ1PHybx3OP4Poq1fLAqMoDrbwLqT1Ck+tNJDrOyggkDVjsH
 HHPBU=
X-Google-Smtp-Source: ABdhPJzQA74Z/4enC19lzX/cYG7+wqIWPZshwxWTOQ1OZibzVCYUkKt3Mi54bxyUNvCuWLE6F2D4MZRZJzpJSQJKcg/J
X-Received: from alexh.c.googlers.com ([fda3:e722:ac3:10:1c:5497:c0a8:11bb])
 (user=alexhutcheson job=sendgmr) by 2002:a67:6b46:: with SMTP id
 g67mr943417vsc.60.1610478251424; Tue, 12 Jan 2021 11:04:11 -0800 (PST)
Date: Tue, 12 Jan 2021 14:04:06 -0500
Message-Id: <u49xpn2a7za1.fsf@HIDDEN>
Mime-Version: 1.0
Subject: 27.1; term/screen.el not loaded when TERM=screen.xterm-256color
From: Alex Hutcheson <alexhutcheson@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"; format=flowed; delsp=yes
Received-SPF: pass client-ip=2607:f8b0:4864:20::a4a;
 envelope-from=3q_L9Xw0KDY4s3wFzCBuzwA65y66y3w.u64tCy-y5C-w4suAy5C.69y@HIDDEN;
 helo=mail-vk1-xa4a.google.com
X-Spam_score_int: -95
X-Spam_score: -9.6
X-Spam_bar: ---------
X-Spam_report: (-9.6 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_MED=-0.001,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 USER_IN_DEF_DKIM_WL=-7.5 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

In some common configurations, GNU Screen sets
TERM=screen.xterm-256color.

In this case, the desired behavior from the user's perspective would be
for Emacs to load the term/screen.el library to perform terminal
initialization specific to screen.

However, Emacs doesn't do this, because the logic that parses TERM to
determine which library to load only considers hyphens and underscores
to be valid separators - not periods. Emacs instead looks for a file
named "screen.xterm.el", and doesn't find one.

The TERM parsing logic is documented at
https://www.gnu.org/software/emacs/manual/html_node/elisp/Terminal_002dSpecific.html
and the code is in `tty-find-type` within lisp/faces.el

The simple fix would be to also consider periods to be a valid separator
within this logic.

Alternatively, Emacs could add a special case for when TERM starts with
the literal "screen.".




Acknowledgement sent to Alex Hutcheson <alexhutcheson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45824; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Jan 2021 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.